﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="LayoutRepository.cs" company="emrecoskun.net">
//   ecblog.codeplex.com - emrecoskun.net
// </copyright>
// <summary>
//   The layout repository
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace EcBlog.Data.Sql
{
    using EcBlog.Data;
    using EcBlog.Data.Sql.Base;
    using EcBlog.Models;

    /// <summary>
    /// The layout repository
    /// </summary>
    public class LayoutRepository : RepositoryWithHistory<Layout, LayoutHistory>, ILayoutRepository
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="LayoutRepository"/> class.
        /// </summary>
        /// <param name="context">The context.</param>
        public LayoutRepository(EcModelContext context) : base(context)
        {
        }
    }
}