﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="PageRepository.cs" company="emrecoskun.net">
//   ecblog.codeplex.com - emrecoskun.net
// </copyright>
// <summary>
//   The page repository
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace EcBlog.Data.Sql
{
    using EcBlog.Data;
    using EcBlog.Data.Sql.Base;
    using EcBlog.Models;

    /// <summary>
    /// The page repository
    /// </summary>
    public class PageRepository : RepositoryWithHistory<Page, PageHistory>, IPageRepository
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="PageRepository"/> class.
        /// </summary>
        /// <param name="context">The context.</param>
        public PageRepository(EcModelContext context)
            : base(context)
        {
        }
    }
}