﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="CrudOperation.cs" company="emrecoskun.net">
//   ecblog.codeplex.com - emrecoskun.net
// </copyright>
// <summary>
//   The crud operation
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace EcBlog.Models
{
    /// <summary>
    /// The crud operation
    /// </summary>
    public enum CrudOperation
    {
        /// <summary>
        /// entity create
        /// </summary>
        Create,

        /// <summary>
        /// entity update
        /// </summary>
        Update,

        /// <summary>
        /// entity delete
        /// </summary>
        Delete
    }
}