﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="MailViewModel.cs" company="ecblog.codeplex.com">
//   emrecoskun.net - ibrahimatay.com
// </copyright>
// <summary>
//   The mail vire model
// </summary>
// --------------------------------------------------------------------------------------------------------------------
 
namespace EcBlog.Models
{
    /// <summary>
    /// The mail vire model
    /// </summary>
    public class MailViewModel
    {
        /// <summary>
        /// Gets or sets mail from.
        /// </summary>
        /// <value>
        /// mail from.
        /// </value>
        public string From { get; set; }

        /// <summary>
        /// Gets or sets mail to.
        /// </summary>
        /// <value>
        /// mail to.
        /// </value>
        public string To { get; set; }

        /// <summary>
        /// Gets or sets the subject.
        /// </summary>
        /// <value>
        /// The subject.
        /// </value>
        public string Subject { get; set; }

        /// <summary>
        /// Gets or sets the message.
        /// </summary>
        /// <value>
        /// The message.
        /// </value>
        public string Message { get; set; }

        /// <summary>
        /// Gets or sets the page URL.
        /// </summary>
        /// <value>
        /// The page URL.
        /// </value>
        public string PageUrl { get; set; }

        /// <summary>
        /// Gets or sets the page title.
        /// </summary>
        /// <value>
        /// The page title.
        /// </value>
        public string PageTitle { get; set; }
    }
}