// --------------------------------------------------------------------------------------------------------------------
// <copyright file="MetaWeblogRouteHandler.cs" company="ecblog.codeplex.com">
//   emrecoskun.net - ibrahimatay.org
// </copyright>
// <summary>
//   The meta weblog route handler
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace EcBlog.Api.MetaWeblog
{
    using System.Web;
    using System.Web.Routing;

    /// <summary>
    /// The meta weblog route handler
    /// </summary>
    public class MetaWeblogRouteHandler : IRouteHandler
    {
        /// <summary>
        /// Provides the object that processes the request.
        /// </summary>
        /// <param name="requestContext">An object that encapsulates information about the request.</param>
        /// <returns>
        /// An object that processes the request.
        /// </returns>
        public IHttpHandler GetHttpHandler(RequestContext requestContext)
        {
            return new MetaWeblogHandler();
        }
    }
}