﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="PageTag.cs" company="ecblog.codeplex.com">
//   emrecoskun.net - ibrahimatay.com
// </copyright>
// <summary>
//   The page tag
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace EcBlog.Admin.Models
{
    using System.ComponentModel.DataAnnotations;

    /// <summary>
    /// The page tag
    /// </summary>
    public class PageTag
    {
        /// <summary>
        /// Gets or sets the tag id.
        /// </summary>
        /// <value>
        /// The tag id.
        /// </value>
        [UIHint("GridForeignKey")]
        public long TagId { get; set; }
    }
}