﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ServerFile.cs" company="ecblog.codeplex.com">
//   emrecoskun.net - ibrahimatay.com
// </copyright>
// <summary>
//   The server file
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace EcBlog.Admin.Models
{
    /// <summary>
    /// The server file
    /// </summary>
    public class ServerFile
    {
        /// <summary>
        /// Gets or sets the name.
        /// </summary>
        /// <value>
        /// The name.
        /// </value>
        public string Name { get; set; }

        /// <summary>
        /// Gets or sets the full path.
        /// </summary>
        /// <value>
        /// The full path.
        /// </value>
        public string FullPath { get; set; }
        
        /// <summary>
        /// Gets or sets a value indicating whether this instance is directory.
        /// </summary>
        /// <value>
        ///    <c>true</c> if this instance is directory; otherwise, <c>false</c>.
        /// </value>
        public bool IsDirectory { get; set; }
    }
}