﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ISiteSettingRepository.cs" company="emrecoskun.net">
//   ecblog.codeplex.com - emrecoskun.net
// </copyright>
// <summary>
//   The ı site setting repository.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace EcBlog.Data
{
    using EcBlog.Data.Base;
    using EcBlog.Models;

    /// <summary>
    /// The ı site setting repository.
    /// </summary>
    public interface ISiteSettingRepository : IRepository<SiteSetting>
    {
        /// <summary>
        /// The this.
        /// </summary>
        /// <param name="siteSettingKey">
        /// The site setting key.
        /// </param>
        /// <returns>The site setting</returns>
        string this[SiteSettingKey siteSettingKey] { get; }
    }
}