// --------------------------------------------------------------------------------------------------------------------
// <copyright file="DataSource.cs" company="emrecoskun.net">
//   ecblog.codeplex.com - emrecoskun.net
// </copyright>
// <summary>
//   The data source
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace EcBlog.Models
{
    using System.ComponentModel.DataAnnotations;

    using EcBlog.Properties;

    /// <summary>
    /// The data source 
    /// </summary>
    public enum DataSource
    {
        /// <summary>
        /// The sql Ce
        /// </summary>
        [Display(Name = "SqlCe", ResourceType = typeof(ModelLocalization))]
        SqlCe,

        /// <summary>
        /// The sql server
        /// </summary>
        [Display(Name = "SqlServer", ResourceType = typeof(ModelLocalization))]
        SqlServer
    }
}