﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="PostFooterViewModel.cs" company="ecblog.codeplex.com">
//   emrecoskun.net - ibrahimatay.com
// </copyright>
// <summary>
//   The post footer view model
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace EcBlog.Models
{
    /// <summary>
    /// The post footer view model
    /// </summary>
    public class PostFooterViewModel
    {
        /// <summary>
        /// Gets or sets the page.
        /// </summary>
        /// <value>
        /// The page.
        /// </value>
        public Page Page { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether [show comments].
        /// </summary>
        /// <value>
        ///   <c>true</c> if [show comments]; otherwise, <c>false</c>.
        /// </value>
        public bool ShowComments { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether [show add new comment panel].
        /// </summary>
        /// <value>
        ///    <c>true</c> if [show add new comment panel]; otherwise, <c>false</c>.
        /// </value>
        public bool ShowAddNewCommentPanel { get; set; }
    }
}