// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TagCloudViewModel.cs" company="ecblog.codeplex.com">
//   emrecoskun.net - ibrahimatay.com
// </copyright>
// <summary>
//   The tag cloud view model
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace EcBlog.Models
{
    /// <summary>
    /// The tag cloud view model
    /// </summary>
    public class TagCloudViewModel
    {
        /// <summary>
        /// Gets or sets the slug.
        /// </summary>
        /// <value>
        /// The slug.
        /// </value>
        public string Slug { get; set; }

        /// <summary>
        /// Gets or sets the name of the tag.
        /// </summary>
        /// <value>
        /// The name of the tag.
        /// </value>
        public string TagName { get; set; }

        /// <summary>
        /// Gets or sets the weight.
        /// </summary>
        /// <value>
        /// The weight.
        /// </value>
        public int Weight { get; set; }
    }
}